## DELETE /v0/webhooks/{id}

### Delete the existing webhook

**cURL**

```bash
curl --request DELETE \
  --url https://demo-api.gable.ai/v0/webhooks/{id} \
  --header 'X-API-KEY: <api-key>'
```

**Python**

```python
import requests

url = "https://demo-api.gable.ai/v0/webhooks/{id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

**JavaScript (Fetch API)**

```javascript
const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://demo-api.gable.ai/v0/webhooks/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://demo-api.gable.ai/v0/webhooks/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",  
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => ["X-API-KEY: <api-key>"],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

**Go**

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://demo-api.gable.ai/v0/webhooks/{id}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("X-API-KEY", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

**Unirest (Java)**

```java
HttpResponse<String> response = Unirest.delete("https://demo-api.gable.ai/v0/webhooks/{id}")
  .header("X-API-KEY", "<api-key>")
  .asString();
```

**Ruby**

```ruby
require 'uri'
require 'net/http'

url = URI("https://demo-api.gable.ai/v0/webhooks/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["X-API-KEY"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response Codes

- **204**: Webhook was successfully deleted  
- **404**: Not Found  
- **500**: Internal Server Error

### Sample Response

```json
{
  "message": "<string>",
  "id": 123,
  "title": "<string>"
}
```

### Authorizations

- **X-API-KEY**: string, required in header

### Path Parameters

- **id**: string<uuid>, required (The UUID of the webhook)

### (Previous and Next links omitted for clarity)
